WESNOTH(6)

NAME
wesnoth - Battle for Wesnoth, ein rundenbasiertes Strategiespiel

ZUSAMMENFASSUNG
wesnoth [OPTIONEN] [ORT DER SPIELDATEN]

BESCHREIBUNG
Battle for Wesnoth ist ein rundenbasiertes Strategiespiel in einem Fantasy-Szenario. Besiegen Sie alle feindlichen Anführer, indem Sie einen geschickt gewählten Kader an Truppen in die Schlacht führen und dabei auch Ihr Gold und Ihre Dörfer verwalten. Alle Einheiten haben ihre eigenen Stärken und Schwächen; um siegreich hervor zu gehen, müssen Sie diese Kräfte zu Ihrem Vorteil nutzen und zugleich den Gegner an selbigem hindern. Mit wachsender Erfahrung erlernen die Truppen neue Fertigkeiten und werden mächtiger. Spielt in Eurer eigenen Sprache und testet Eure Fertigkeiten gegen kluge Computer-Gegner, oder tretet Wesnoths vielfältiger Gemeinschaft der Online-Spieler bei. Erstellt eure eigen angepassten Einheiten, Szenarien oder Kampagnen, und teilt diese mit anderen.

KOMMANDOZEILENOPTIONEN

--bpp Wert
    Bestimmt die Farbtiefe, in der das Spiel gestartet wird. Beispiel: --bpp 32

-c, --campaign  [<id_Kampagne>]
    Geht direkt zur Kampagne mit der ID <id_Kampagne>. Ein Auswahlmenü wird angezeigt, falls keine ID angegeben wurde. Anmerkung: Wenn dieser Schalter verwendet wird, stellen Sie sicher, dass ebenfalls der Pfad zum Datenverzeichnis als letztes Argument angegeben ist, anderenfalls wird das Spiel die Kampagnen-/Szenario-ID als Datenverzeichnis verwenden.

--campaign-difficulty [<difficulty>]
    Die Einstufung der gewünschten Kampagne (1 bis Max). Falls nicht angegeben, wird ein Dialog zur Auswahl der Kampagnen-Einstufung angezeigt.

--campaign-scenario <id_Scenario>
    Die ID des Szenarios der gewünschten Kampagne. Der Vorgabewert ist das erste Szenario.

--data-dir <Verzeichnis>
    Das angegebene Verzeichnis als Daten-Verzeichnis verwenden

--data-path
    path the path of the data directory and exits.

-d, --debug
    Erlaubt zusätzliche Kommandos in der spieleigenen Befehlszeile (auf der Wiki-Seite http://www.wesnoth.org/wiki/CommandMode sind weitere Informationen hierzu verfügbar).

-e, --editor Datei
    Den im Spiel integrierten Karteneditor direkt starten. Falls Datei angegeben wurde, verhält es sich äquivalent zu -l --load

--fps
    Aktiviert die Anzeige der Bilder pro Sekunde im Spiel.

-f, --fullscreen
    Startet das Programm im Vollbildmodus.

--gunzip dateiname.gz
    Entpackt einen Spielstand (dateiname), der als gzip komprimiert sein sollte, und speichert ihn ohne die Dateiendung .gz. Dabei wird dateiname.gz entfernt.

--gzip dateiname
    Komprimiert einen normalen textbasierten Spielstand dateiname in einen als gzip komprimierten Spielstand dateiname.gz um und entfernt die alte Datei dateiname.

-h, --help
    Gibt die möglichen Kommandozeilenoptionen aus.

-l, --load Datei
    Lädt den Spielstand Datei aus dem Standard-Spielstand-Verzeichnis. Falls auch die -e oder --editor Option verwendet wurde, wird der Editor mit der Karte aus file geöffnet. Falls ein Verzeichnis angegeben wurde, wird der Editor mit einem Dialog zum Laden einer Karte aus eben diesem Verzeichnis gestartet.

--log-level=Domäne1,Domäne2,...
    Setzt die Stufe der Debugausgabe. Verwenden Sie all, um sämtliche Domänen zu verwenden. Verfügbare Stufen: error, warning, info, debug. Standardmäßig wird die Stufe error verwendet.

--logdomains [Filter]
    Gibt die definierten Log-Domänen aus (nur jene, die Filter enthalten, falls angegeben) und beenden.

--max-fps
    Setzt die Anzahl der gezeichneten Bilder pro Sekunde, die vom Spiel angezeigt werden. Der Wert sollte zwischen 1 und 1000 liegen. Der Standard ist 50.

-m, --multiplayer
    Startet das Spiel im Mehrspieler-Modus. Es gibt noch weitere Optionen, die, wie weiter unten beschrieben, gemeinsam mit --multiplayer verwendet werden können. Nur diese zusätzlichen Optionen können --multiplayer folgen.

--no-delay
    Das Spiel wird ohne Verzögerungen ausgeführt. Wird zum Ausführen grafischer Leistungsvergleiche verwendet. Diese Option ist standardmäßig aktiviert, wenn die Option --nogui gesetzt ist.

--nocache
    Veranlasst das Programm, keine Daten zwischenzuspeichern.

--nomusic
    Deaktiviert die Musik im Spiel.

--nosound
    Deaktiviert jegliche Soundeffekte im Spiel.

--path
    Zeigt an, wo sich das Verzeichnis mit den Spieldateien befindet.

-p, --preprocess <source file/folder> <target directory>
    preprocesses a specified file/folder. For each file(s) a plain .cfg file and a processed .cfg file will be written in specified target directory. If a folder is specified, it will be preprocessed recursively based on the known preprocessor rules. The common macroses from the "data/core/macros" directory will be preprocessed before the specified resources. Example: -p ~/wesnoth/data/campaigns/tutorial ~/result. For details regarding the preprocessor visit: http://wiki.wesnoth.org/PreprocessorRef#Command-line_preprocessor

--preprocess-defines=DEFINE1,DEFINE2,etc
    comma separated list of defines to be used by the '--preprocess' command. If SKIP_CORE is in the define list the "data/core" directory won't be preprocessed.

--preprocess-input-macros <Quelldatei>
    Wird nur vom »--preprocess«-Befehl verwendet. Gibt eine [preproc_define] enthaltende Datei an, die vor dem Vorbearbeiten eingelesen wird.

--preprocess-output-macros [<Zieldatei>]
    Wird nur vom »--preprocess«-Befehl verwendet. Gibt alle vorverarbeiteten Makros in die Zieldatei aus. Falls keine Datei angegeben wird, wird die Ausgabe in die Datei »_MACROS_.cfg« im Zielverzeichnis des Vorverarbeitungs-Befehls geschrieben. Dieser Schalter sollte vor dem --preprocess Befehl angegeben werden.

-r XxY, --resolution XxY
    Ermöglicht es, die Auflösung zu bestimmen, in der das Spiel gestartet wird. Beispiel: -r 800x600

-s, --server [Rechner]
    Verbindet sich, falls angegeben, mit dem entsprechenden Rechner, oder aber zum ersten Rechner in den Einstellungen. Beispiel: --server server.wesnoth.org

--username<username>
    uses <username> when connecting to a server, ignoring other preferences.

--password<password>
    uses <password> when connecting to a server, ignoring other preferences. Unsafe.

--strict-validation
    Prüfungsfehler werden als schwerwiegende Fehler angesehen.

-t, --test
    Startet das Programm mit einem kleinen Testszenario.

--userconfig-dir name
    sets the user configuration directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the configuration directory outside the $HOME or "My Documents\My Games". Under X11 this defaults to $XDG_CONFIG_HOME or $HOME/.config/wesnoth, on other systems to the userdata path.

--userconfig-path
    Zeigt an, wo sich das Verzeichnis für die Nutzereinstellungen befindet.

--userdata-dir name
    sets the userdata directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the userdata directory outside the $HOME or "My Documents\My Games".

--userdata-path
    prints the path of the userdata directory and exits.

--validcache
    Nimmt an, dass der Cache gültig ist. (gefährlich)

-v, --version
    Zeigt die Versionsnummer an und beendet das Programm.

-w, --windowed
    Startet das Programm im Fenstermodus.

--with-replay
    Gibt das Spiel wieder, das mit der --load Option geladen wurde.

Zusätzliche Optionen für --multiplayer
Die seitenspezifischen Einstellungen sind mit Nummer markiert. Nummer muss dabei durch die Nummer der jeweiligen Seite ersetzt werden. Meistens ist diese Nummer 1 oder 2, doch hängt es letztendlich von der Anzahl der möglichen Spieler in dem gewählten Szenario ab.

--ai_configNummer=Wert
    Wählt eine Konfigurationsdatei, um aus dieser die KI für die spezifizierte Seite zu laden.

--algorithmNummer=Wert
    Legt einen anderen als den Standardalgorithmus für die KI der gewählten Seite fest. Mögliche Werte sind idle_ai oder sample_ai.

--controllerNummer=Wert
    Bestimmt, wer die gewählte Seite kontrolliert. Mögliche Werte sind human für einen Menschen oder ai für einen KI-Spieler.

--era=Wert
    Bestimmt, welche Ära für diese Partie anstelle der Standard Ära genutzt werden soll. Die Ära wird anhand ihrer ID bestimmt. Eine genaue Beschreibung der Rassen und Epochen ist in der Datei data/multiplayer.cfg zu finden.

--exit-at-end
    Beendet das Spiel am Ende eines Szenarios, ohne die Sieg/Niederlage-Übersicht anzuzeigen, da der Benutzer hier »Ok« auswählen müsste, damit das Spiel fortgesetzt wird. Dies wird ebenfalls bei automatisierten Leistungsvergleichen verwendet.

--ignore-map-settings
    do not use map settings, use default values instead.

--multiplayer-repeat=value
    repeats a multiplayer game value times. Best to use with --nogui for scriptable benchmarking.

--nogui
    Das Spiel startet ohne grafische Oberfläche. Muss vor --multiplayer in der Befehlszeile angegeben werden.

--parmNummer=Name:Wert
    Gibt zusätzliche Parameter für diese Seite an. Die möglichen Parameter hängen davon ab, welche Optionen für --controller und --algorithm verwendet werden. Diese Einstellung ist nur interessant, wenn Sie Ihre eigene KI entwickeln wollen. (bisher ist noch keine vollständige Dokumentation verfügbar)

--scenario=Wert
    Bestimmt das Szenario, das geladen werden soll. Standard ist multiplayer_The_Freelands.

--sideNummer=Wert
    Bestimmt die Rasse für die festgelegte Seite in Abhängigkeit von der gewählten Ära. Die Rasse wird per "id" bestimmt. Eine genaue Beschreibung der Rassen und Epochen ist in der Datei data/multiplayer.cfg zu finden.

--turns=Wert
    Bestimmt die Anzahl der Runden. Standard ist 50.

RÜCKGABEWERT
Im Regelfall ist der Rückgabewert 0. Ein Rückgabewert von 1 weist auf einen Initialisierungsfehler (SDL, Video, Schriften, usw.) hin. Ein Rückgabewert von 2 deutet auf einen Fehler mit den Optionen auf der Befehlszeile hin.

AUTOR
Geschrieben von David White <davidnwhite@verizon.net>.
Bearbeitet von Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> und Soliton <soliton.de@gmail.com>. Übersetzt von Jan-Heiner Laberenz <Jan-Heiner@arcor.de> und Nils Kneuper <crazy-ivanovic@gmx.net>.
Diese Beschreibung stammt im Original von Cyril Bouthors <cyril@bouthors.org>.
Besuchen Sie auch die offizielle Webseite: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License, wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß Version 2 der Lizenz oder (nach Ihrer Option) jeder späteren Version. Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. Sie sollten eine Kopie der GNU General Public License zusammen mit diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

ANDERE
wesnothd(6).